Page MenuHomePhabricator

Link adaptation broken for text written by the user
Closed, ResolvedPublic

Description

It seems that adapting links work only on specific circumstances but several other usecases are broken making it impossible for users to add links.

Trying to add links from link cards

When the user selects a piece of text in the translation and link cards are shown, an "add link" option should be provided.

Currently, after clearing a paragraph I write a word for which a link exists such as "wok" and although I get the link cards, I get no option to add such link.

The same happens when the word added is not in the source text and you try to link it (e.g., using "Bratislava" in the example above.

When Machine Translation is used, adding new links by selecting text seems to work as long as you do it inside the specific sentence that corresponds to the sentence where the source link is, which is a strange limitation that may help to identify the source of the issue.

Trying to add links using source links

When selecting some text and clicking on a source link I would expect the selected text to turn into a link. Instead the following wrong behaviours are produced:

  • The selected text does not turn into a link.
  • The focus is lost from the editing area.
  • Link cards appear with the action to "remove link" despite the fact that there is no link to be removed in the translation.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF changed Security from none to None.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Pginer-WMF.
Jsahleen triaged this task as High priority.
Jsahleen added a project: LE-Sprint-79.
Jsahleen moved this task from Backlog to In Progress on the LE-Sprint-79 board.Dec 4 2014, 8:39 PM
Arrbee edited projects, added LE-Sprint-80; removed LE-Sprint-79.Dec 9 2014, 3:15 PM

Change 179206 had a related patch set uploaded (by Jsahleen):
Links: Fix bug with links from user text

https://gerrit.wikimedia.org/r/179206

Patch-For-Review

Adding links by clicking on source link was fixed in this patch:

https://gerrit.wikimedia.org/r/#/c/178594/

Jsahleen moved this task from Backlog to In Review on the LE-Sprint-80 board.Dec 11 2014, 9:34 PM

Change 179206 merged by jenkins-bot:
Links: Fix bug with links from user text

https://gerrit.wikimedia.org/r/179206

Jsahleen moved this task from In Review to Blocked on the LE-Sprint-80 board.Dec 14 2014, 9:40 AM
Jsahleen moved this task from Blocked to Done on the LE-Sprint-80 board.
santhosh closed this task as Resolved.Dec 15 2014, 5:04 AM